News by Symbol
curl --request GET \
--url https://api.invezo.com/v1/news \
--header 'x-invezo-api-key: <api-key>'import requests
url = "https://api.invezo.com/v1/news"
headers = {"x-invezo-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-invezo-api-key': '<api-key>'}};
fetch('https://api.invezo.com/v1/news', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "OK",
"request_id": "",
"result_count": 5000,
"data": [
{
"time": 1658940945,
"title": "Here's What's Next for Bitcoin and Ethereum (ETH) After Failed BTC Breakout, According to Top Crypto Analyst",
"url": "https://dailyhodl.com/2022/07/27/heres-whats-next-for-bitcoin-and-ethereum-eth-after-failed-btc-breakout-according-to-top-crypto-analyst/",
"source": "The Daily Hodl",
"symbols": [
"btc",
"eth"
],
"topics": []
},
{
"time": 1658937742,
"title": "Bitcoin Price Analysis: BTC Retest Support Zone; Will Hit $24,000 Next?",
"url": "https://coingape.com/?p=118178",
"source": "Coingape",
"symbols": [
"btc"
],
"topics": [
"tanalysis"
]
},
...
]
}
News
News by Symbol
Top news for a specific symbol or symbols.
GET
/
v1
/
news
News by Symbol
Query Parameters
comma separated list of asset symbols (example: btc,eth)
limit the number of results returned
offset the returned results
{
"status": "OK",
"request_id": "",
"result_count": 5000,
"data": [
{
"time": 1658940945,
"title": "Here's What's Next for Bitcoin and Ethereum (ETH) After Failed BTC Breakout, According to Top Crypto Analyst",
"url": "https://dailyhodl.com/2022/07/27/heres-whats-next-for-bitcoin-and-ethereum-eth-after-failed-btc-breakout-according-to-top-crypto-analyst/",
"source": "The Daily Hodl",
"symbols": [
"btc",
"eth"
],
"topics": []
},
{
"time": 1658937742,
"title": "Bitcoin Price Analysis: BTC Retest Support Zone; Will Hit $24,000 Next?",
"url": "https://coingape.com/?p=118178",
"source": "Coingape",
"symbols": [
"btc"
],
"topics": [
"tanalysis"
]
},
...
]
}
⌘I

